Remove a repository from a team
DELETE
/teams/{id}/repos/{org}/{repo}
const url = 'https://gitea.com/api/v1/teams/1/repos/example/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://gitea.com/api/v1/teams/1/repos/example/example \ --header 'Authorization: Basic <credentials>'This does not delete the repository, it only removes the repository from the team.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Id of the team
org
required
string
Organization that owns the repo to remove
repo
required
string
Name of the repo to remove
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json